> For the complete documentation index, see [llms.txt](https://docs.ellipsis-drive.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ellipsis-drive.com/developers/api-v3/path-pointcloud/point-cloud-styles/edit-style.md).

# Edit style

| **Description** | Edits a point cloud style.                  |
| --------------- | ------------------------------------------- |
| **Endpoint**    | `/path/{pathId}/pointCloud/style/{styleId}` |
| **Method**      | PATCH                                       |

## Access Level Rules

| **Minimum Access Level** | edit+ |
| ------------------------ | ----- |

## Processing Units

| **Minimum processing units** | 2 |
| ---------------------------- | - |

## Parameters

<table><thead><tr><th>Name</th><th width="361">Description</th><th>Required</th><th>Default</th></tr></thead><tbody><tr><td><code>pathId</code></td><td>The id of the point cloud layer.</td><td></td><td></td></tr><tr><td><code>styleId</code></td><td>The id of the style.</td><td></td><td></td></tr><tr><td><code>name</code></td><td>The new name of the style.</td><td>false</td><td>Default null.</td></tr><tr><td><code>default</code></td><td>Boolean whether the style should be used as the default styling of the timestamp.</td><td>false</td><td>Default null.</td></tr><tr><td><code>method</code></td><td>The method of the style, should be 'v2' to use the most recent styling framework.</td><td>false</td><td>Default null.</td></tr><tr><td><code>parameters</code></td><td>The parameters for the visualization. See <a href="/pages/wBOGysVp07r2nTEgywhr">here</a> for all possibilities.</td><td>false</td><td>Default null.</td></tr><tr><td><code>description</code></td><td>A description as string.</td><td>false</td><td>Default null.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ellipsis-drive.com/developers/api-v3/path-pointcloud/point-cloud-styles/edit-style.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
